function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from 'react'; // eslint-disable-line
import styled from 'styled-components';
import { buttonAccent, primary, tertiary } from '../../tokens';
import { Price } from '../Price';
import { Body2 } from '../Typography';
var StyledRoot = styled(Body2).withConfig({
    displayName: "CardPrice__StyledRoot",
    componentId: "sc-b9ac85b9-0"
})([
    "display:flex;box-sizing:border-box;margin-top:0.75rem;"
]);
var StyledPrice = styled(Price).withConfig({
    displayName: "CardPrice__StyledPrice",
    componentId: "sc-b9ac85b9-1"
})([
    "height:2.5rem;color:",
    ";"
], primary);
var StyledOldPrice = styled(Price).withConfig({
    displayName: "CardPrice__StyledOldPrice",
    componentId: "sc-b9ac85b9-2"
})([
    "height:2.5rem;margin-left:0.5rem;color:",
    ";"
], tertiary);
var StyledCount = styled(Body2).withConfig({
    displayName: "CardPrice__StyledCount",
    componentId: "sc-b9ac85b9-3"
})([
    "box-sizing:border-box;height:2.5rem;margin-left:0.5rem;color:",
    ";"
], buttonAccent);
export var CardPrice = function CardPrice(_0) {
    var count = _0.count, currency = _0.currency, oldPrice = _0.oldPrice, price = _0.price, rest = _object_without_properties(_0, [
        "count",
        "currency",
        "oldPrice",
        "price"
    ]);
    return /*#__PURE__*/ React.createElement(StyledRoot, rest, /*#__PURE__*/ React.createElement(StyledPrice, {
        currency: currency
    }, price), oldPrice && /*#__PURE__*/ React.createElement(StyledOldPrice, {
        currency: currency,
        stroke: true
    }, oldPrice), count ? /*#__PURE__*/ React.createElement(StyledCount, null, "\xd7", count) : '');
};
